<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>

  <script language='JavaScript' src='<c:url value="/common/scripts/jquery.js"/>'></script>
  <script language='JavaScript' src='<c:url value="/common/scripts/i18n.js"/>'></script>
  <script language="JavaScript" src="common/scripts/jquery.fcm.dynaform.js"></script>
  <script language="JavaScript" src="rules/scripts/dynamicRows.js"></script>
  <script language="JavaScript" src="rules/scripts/itemPriorityList.js"></script>
  <script language="JavaScript" src="rules/scripts/autoSizing.js"></script>
  <SCRIPT language="JavaScript" src="common/scripts/calendar.js"></SCRIPT>
  <SCRIPT language="JavaScript" src="rules/scripts/sort.js"></SCRIPT>
  <script language="JavaScript" src="rules/scripts/rules.js"></script>
  <script language="JavaScript" src="rules/scripts/lookupLists.js"></script>
  <script language="JavaScript" src="rules/scripts/lookupListActions.js"></script>
<c:choose>
	<c:when test="${empty productName}">
<pre id="tabTitle" style="display:none;">SAS&reg; Fraud Management - <fmt:message key="creditfraud.tab.lookupLists.txt" /></pre>
	</c:when>
	<c:otherwise>
<pre id="tabTitle" style="display:none;">${fn:replace(fn:replace(productName, "<sup>", ""), "</sup>", "")} - <fmt:message key="creditfraud.tab.lookupLists.txt" /></pre>
	</c:otherwise>
</c:choose>
  <script language="JavaScript">
  //<!--
  try { // S1070343
    if (parent.document)
      parent.document.title = document.getElementById("tabTitle").innerHTML;
  } catch(e) { // S1070343
    // Ignore S1070343
  } // S1070343

  var action = '<c:url value="/r_rules.do"/>';
  var lookupListAction = '<c:url value="/r_lookupLists.do"/>';
  var lookupListDeleteAction = '<c:url value="/r_deleteLookupLists.do" />';
  <c:url var="url" value="/r_uploadLookupList.do">
    <c:param name="engine" value="${engine}"/>
  </c:url>
  var lookupListUploadAction = '${url}';

  var workflow = 'lookupListList${engine}';
  var engine = '${engine}';
  var contentOrList = "${contentOrList}"

  if (contentOrList == "content") {
	   parent.sas.fscf.getCurrentDetailToolbar().setContentFor("contentFiles");
  } else {
	   parent.sas.fscf.getCurrentDetailToolbar().setContentFor("lookupLists");
  }

  function ignoreReturn(evt)
  {
     if(!evt) evt = window.event;
     if(evt.keyCode == 13) return false;
     return true;
  }

  var lookupListUpNbrs = new Array();
  var lookupListNames = new Array();
  var lookupListFiles = new Array();

  <c:forEach var="listInfo" items="${listsInfo}" >
  //-->
  </script>
     <pre id="lookupListUpNbr${listInfo.id}" style="display:none">${fn:escapeXml(listInfo.lstupdtNbr)}</pre>
     <pre id="lookupListName${listInfo.id}" style="display:none">${fn:escapeXml(listInfo.name)}</pre>
     <pre id="lookupListFile${listInfo.id}" style="display:none">${fn:escapeXml(listInfo.inds)}</pre>
  <script>
  //<!--
     lookupListUpNbrs[${listInfo.id}] = document.getElementById("lookupListUpNbr${listInfo.id}").innerHTML;
     lookupListNames[${listInfo.id}] = document.getElementById("lookupListName${listInfo.id}").innerHTML;
     lookupListFiles[${listInfo.id}] = document.getElementById("lookupListFile${listInfo.id}").innerHTML;
  </c:forEach>

  //-->
  </script>

  <script>
  parent._lookupListIdsFromForeignBusinessUnits = new Array();
  <c:forEach var="id" items="${lookupListIdsFromForeignBusinessUnits}">
  	parent._lookupListIdsFromForeignBusinessUnits["${id}"] = true;
  </c:forEach>
  </script>

   <span style='height:0.5em'/>
   <div id="rulesTabScrollableDiv" class="rulesTabScrollableClass">

   <%-- Error handling code --%>
   <style>
     .confirmationMessage { text-align:left; }
     .errorMessage { text-align:left; }
   </style>
   <div onclick="this.innerHTML='<br>'">
     <c:url var="reloadURL" value="/r_rules.do?method=listLookupLists&engine=${engine}&contentOrList=${contentOrList}" />
     <tiles:insert page="rulesSystemMessages.jsp" flush="true">
       <tiles:put name="reloadURL" value="${reloadURL}" />
       <tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
       <tiles:put name="objectTypeName" value="Rule" />
     </tiles:insert>
   </div>


  <%-- Title --%>
  <c:if test='${isTenantInstall == true}'> <c:set var='tenant' value='tenant'/> </c:if>
  <div align="left" style="width:98%;">
     <h4>
     <fmt:message key="rules.lookupLists.${fn:toLowerCase(engine)}${tenant}.${contentOrList}.title.txt"/>
     <c:if test="${not empty contentLocation}">
     <div style="font-weight:normal;font-size:0.79rem;">${contentLocation}</div>
     </c:if>
     </h4>
  </div>

  <table class="mainTable" id="lookupListsTable" width="98%" align="left" style="margin:0px 0px 0px 0px;-moz-user-select:none;" onselectstart='return false;' border="0" cellspacing="0" cellpadding="0">
     <thead>
       <TR class="tableColumnHeaderRow">
         <c:if test="${contentOrList=='list'}">
           <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.lookupListsDetailContent.tableHeader.listName.txt" /></TH>
           <TH class="centeredTableHeader" nowrap rules:sortAsText title="<esapi:encodeForHTMLAttribute><fmt:message key='rules.lookupListsDetailContent.tableHeader.keyFields.title.txt' /></esapi:encodeForHTMLAttribute>">&nbsp;<fmt:message key="rules.lookupListsDetailContent.tableHeader.keyFields.txt" /></TH>
           <TH class="centeredTableHeader" nowrap rules:sortAsText title="<esapi:encodeForHTMLAttribute><fmt:message key='rules.lookupListsDetailContent.tableHeader.dataFields.title.txt' /></esapi:encodeForHTMLAttribute>">&nbsp;<fmt:message key="rules.lookupListsDetailContent.tableHeader.dataFields.txt" /></TH>
           <c:if test="${isUsingWildBu}"> <%-- S1010617 --%>
             <TH class="centeredTableHeader" nowrap rules:sortAsText title="<esapi:encodeForHTMLAttribute><fmt:message key='rules.lookupListsDetailContent.tableHeader.businessUnit.title.txt' /></esapi:encodeForHTMLAttribute>">&nbsp;<fmt:message key="rules.lookupListsDetailContent.tableHeader.businessUnit.txt" /></TH>
           </c:if>
           <TH class="centeredTableHeader" nowrap rules:sortAsText title="<esapi:encodeForHTMLAttribute><fmt:message key='rules.lookupListsDetailContent.tableHeader.description.title.txt' /></esapi:encodeForHTMLAttribute>">&nbsp;<fmt:message key="rules.lookupListsDetailContent.tableHeader.description.txt" /></TH>
           <TH class="centeredTableHeader" nowrap rules:sortAsNum  title="<esapi:encodeForHTMLAttribute><fmt:message key='rules.lookupListsDetailContent.tableHeader.rules.title.txt' /></esapi:encodeForHTMLAttribute>">&nbsp;<fmt:message key="rules.lookupListsDetailContent.tableHeader.rules.txt" /></TH>
         </c:if>
         <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.lookupListsDetailContent.tableHeader.contentFile.txt" /></TH>
         <c:if test="${contentOrList=='list'}">
            <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;<fmt:message key="rules.lookupListsDetailContent.tableHeader.lastUpdated.txt" /></TH>
         </c:if>
         <c:if test="${contentOrList=='content' || includeRefreshDateTime}"> <!-- S1070343 -->
            <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;<fmt:message key="rules.lookupListsDetailContent.tableHeader.lastLoaded.txt" /></TH>
         </c:if>
       </TR>
     </thead>

     <TBODY id="ruleTableBody">

      <c:if test="${empty listsInfo}">
        <TR rowspan="2">
           <TD align="right" style="font-size:10pt;" colspan="100%"><center><em><fmt:message key="rules.lookupListsDetailContent.noLookupLists.txt" /></center></em></TD>
        </TR>
      </c:if>

      <c:if test="${not empty listsInfo}">
        <c:forEach var="listInfo" items="${listsInfo}" varStatus="status">
           <c:if test="${ (contentOrList=='list' && not empty listInfo.name) ||
                          (contentOrList=='content' &&  empty listInfo.name) }">

             <TR style="cursor:pointer;" id="${status.count}" class="dataRow${status.count%2+1}_tableRow"
                 onClick='handleRowSelectionLookupList(${listInfo.id}, lookupListUpNbrs[${listInfo.id}], lookupListNames[${listInfo.id}], lookupListFiles[${listInfo.id}], this, "rowSelected", event)'
                 ondblclick='viewLookupList();'>

                <c:if test="${contentOrList=='list'}">
                  <TD class="textTableCell">${fn:trim(fn:escapeXml(listInfo.name))}</TD>
                  <TD class="textTableCell" >${fn:trim(fn:escapeXml(listInfo.untypedKeyColumns))}</TD>
                  <TD class="textTableCell" >${fn:trim(fn:escapeXml(listInfo.untypedDataColumns))}</TD>
                  <c:if test="${isUsingWildBu}"> <%-- S1010617 --%>
                    <TD class="textTableCell" >${fn:trim(fn:escapeXml(listInfo.businessUnitName))}</TD>
                  </c:if>
                  <TD class="textTableCell" >${fn:trim(fn:escapeXml(listInfo.desc))}</TD>
                  <TD class="textTableCell" ><c:if test="${listInfo.ruleCount>0}">${listInfo.ruleCount}</c:if></TD>
                </c:if>
                <TD class="textTableCell" >${fn:trim(fn:escapeXml(listInfo.inds))}</TD>
                <c:if test="${contentOrList=='list'}">
                   <TD class="textTableCell" nowrap><span dateFormat="${dateFormat} ${timeFormat}" sortValue="${listInfo.lstupdtTimestampUtcMillis}"><fmt:formatDate value='${listInfo.lstupdtTimestamp}' pattern='${dateTimeFormat}' timeZone='${userTimeZone}'/></span>&nbsp;
                </c:if>
                <c:if test="${contentOrList=='content' || includeRefreshDateTime}"> <!-- S1070343 -->
                   <TD class="textTableCell" nowrap><span dateFormat="${dateFormat} ${timeFormat}" sortValue="${listInfo.refreshDateUtcMillis}"><fmt:formatDate value='${listInfo.refreshDate}' pattern='${dateTimeFormat}' timeZone='${userTimeZone}'/></span>&nbsp;
                </c:if>
                </TD>
             </TR>

          </c:if>
        </c:forEach>
      </c:if>

     </TBODY>
  </table>




<%-- Iframe for avoiding download Runtime Error has occurred Error:Access is denied --%>
<iframe width="0" height="0" id="downloadFrame" name="downloadFrame" src="rules/beige.htm" style="display:none"></iframe>


<script>
   attachEventHandlerToTableCells(['lookupListsTable']);
</script>


</div>


