---------------------------------------------------------------------------------
--
-- Metadata Changes
--
---------------------------------------------------------------------------------
delete from FCM_GRID_TMPLT_FIELD_CFG where grid_field_id in (select field_id
from fcm_Field_definition where field_name in ('wax_cf_alert_a_id'
,'wax_cf_alert_b_id'
,'wax_cf_alert_c_id'
,'wax_cf_alert_d_id'
,'wax_cf_alert_h_id'
,'wax_cf_alert_m_id'
,'wax_cf_alert_o_id'
,'wax_cf_alert_p_id'
,'wax_cf_alert_r_id'
,'wax_cf_alert_t_id'
,'wax_cf_alert_version_a_nbr'
,'wax_cf_alert_version_b_nbr'
,'wax_cf_alert_version_c_nbr'
,'wax_cf_alert_version_d_nbr'
,'wax_cf_alert_version_h_nbr'
,'wax_cf_alert_version_m_nbr'
,'wax_cf_alert_version_o_nbr'
,'wax_cf_alert_version_p_nbr'
,'wax_cf_alert_version_r_nbr'
,'wax_cf_alert_version_t_nbr'
,'wax_cf_alert_version_w_nbr'
,'wax_cf_alert_version_x_nbr'
,'wax_cf_alert_w_id'
,'wax_cf_alert_x_id'
,'wax_user_fraud_a_ind'
,'wax_user_fraud_a_timestamp'
,'wax_user_fraud_b_ind'
,'wax_user_fraud_b_timestamp'
,'wax_user_fraud_c_ind'
,'wax_user_fraud_c_timestamp'
,'wax_user_fraud_d_ind'
,'wax_user_fraud_d_timestamp'
,'wax_user_fraud_h_ind'
,'wax_user_fraud_h_timestamp'
,'wax_user_fraud_m_ind'
,'wax_user_fraud_m_timestamp'
,'wax_user_fraud_o_ind'
,'wax_user_fraud_o_timestamp'
,'wax_user_fraud_p_ind'
,'wax_user_fraud_p_timestamp'
,'wax_user_fraud_r_ind'
,'wax_user_fraud_r_timestamp'
,'wax_user_fraud_t_ind'
,'wax_user_fraud_t_timestamp'
,'wax_user_fraud_w_ind'
,'wax_user_fraud_w_timestamp'
,'wax_user_fraud_x_ind'
,'wax_user_fraud_x_timestamp'
));

update fcm_field_Definition set field_Visible_ind='0' where field_name in
('wax_cf_alert_a_id'
,'wax_cf_alert_b_id'
,'wax_cf_alert_c_id'
,'wax_cf_alert_d_id'
,'wax_cf_alert_h_id'
,'wax_cf_alert_m_id'
,'wax_cf_alert_o_id'
,'wax_cf_alert_p_id'
,'wax_cf_alert_r_id'
,'wax_cf_alert_t_id'
,'wax_cf_alert_version_a_nbr'
,'wax_cf_alert_version_b_nbr'
,'wax_cf_alert_version_c_nbr'
,'wax_cf_alert_version_d_nbr'
,'wax_cf_alert_version_h_nbr'
,'wax_cf_alert_version_m_nbr'
,'wax_cf_alert_version_o_nbr'
,'wax_cf_alert_version_p_nbr'
,'wax_cf_alert_version_r_nbr'
,'wax_cf_alert_version_t_nbr'
,'wax_cf_alert_version_w_nbr'
,'wax_cf_alert_version_x_nbr'
,'wax_cf_alert_w_id'
,'wax_cf_alert_x_id'
,'wax_user_fraud_a_ind'
,'wax_user_fraud_a_timestamp'
,'wax_user_fraud_b_ind'
,'wax_user_fraud_b_timestamp'
,'wax_user_fraud_c_ind'
,'wax_user_fraud_c_timestamp'
,'wax_user_fraud_d_ind'
,'wax_user_fraud_d_timestamp'
,'wax_user_fraud_h_ind'
,'wax_user_fraud_h_timestamp'
,'wax_user_fraud_m_ind'
,'wax_user_fraud_m_timestamp'
,'wax_user_fraud_o_ind'
,'wax_user_fraud_o_timestamp'
,'wax_user_fraud_p_ind'
,'wax_user_fraud_p_timestamp'
,'wax_user_fraud_r_ind'
,'wax_user_fraud_r_timestamp'
,'wax_user_fraud_t_ind'
,'wax_user_fraud_t_timestamp'
,'wax_user_fraud_w_ind'
,'wax_user_fraud_w_timestamp'
,'wax_user_fraud_x_ind'
,'wax_user_fraud_x_timestamp');

commit;



---------------------------------------------------------------------------------
--
-- New FCM_PROPERT?Y for Analytical reports.
--
---------------------------------------------------------------------------------

MERGE INTO FCM_PROPERTY A USING
 (SELECT
  'ANALYTIC_REPORTS_CONFIG_PATH' as PROPERTY_NAME,
  '!SASFMCP_IMPLEMENT_HOME/etl/data' as PROPERTY_VALUE,
  'Full path to the analytic report XML input files' as PROPERTY_DESC,
  'Full path to the analytic report XML input files' as PROPERTY_LABEL,
  'etl' as PROPERTY_TYPE,
  'DEFAULT' as PROPERTY_SUB_TYPE,
  'DEFAULT' as PROPERTY_SUB_TYPE_LABEL,
  '1' as PROPERTY_EDITABLE_IND,
  '1' as PROPERTY_VISIBLE_IND,  
  'sasfm' as CREATE_USER
  FROM DUAL) B
ON (A.PROPERTY_NAME = B.PROPERTY_NAME)
WHEN NOT MATCHED THEN 
INSERT (
  PROPERTY_ID, PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, 
  PROPERTY_TYPE, PROPERTY_SUB_TYPE, PROPERTY_SUB_TYPE_LABEL, PROPERTY_EDITABLE_IND, PROPERTY_VISIBLE_IND, 
  CREATE_USER)
VALUES (
  PROPERTY_SEQ.nextval, B.PROPERTY_NAME, B.PROPERTY_VALUE, B.PROPERTY_DESC, B.PROPERTY_LABEL, 
  B.PROPERTY_TYPE, B.PROPERTY_SUB_TYPE, B.PROPERTY_SUB_TYPE_LABEL, B.PROPERTY_EDITABLE_IND, B.PROPERTY_VISIBLE_IND, 
  B.CREATE_USER)
;

COMMIT;

merge into FCM_PROPERTY
USING (select 'ANALYTIC_EXTRACT_RECLAIM_PATH' as PROPERTY_NAME from dual) ac
                  ON (FCM_PROPERTY.PROPERTY_NAME = ac.PROPERTY_NAME)
when not matched then
INSERT
(property_id,PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, CREATE_USER,PROPERTY_EDITABLE_IND)
VALUES
(property_seq.nextval,'ANALYTIC_EXTRACT_RECLAIM_PATH', '', 'Full path to the analytic extract backup directory', 'Full path to the analytic extract backup directory', 'etl', 'system','1')
;
commit;
 
---------------------------------------------------------------------------------
--
-- Insert version release 4.3.0.3 (4.3 M0 HF3)
--
---------------------------------------------------------------------------------
merge into FCM_VERSION p
USING (select 'Base DDL' as VERSION_NAME,'4.3.0.3' as VERSION_NUM from dual) ac
                  ON (p.VERSION_NAME = ac.VERSION_NAME AND p.VERSION_NUM=ac.VERSION_NUM)
when not matched then
insert (
    VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT) 
VALUES (
 	'Base DDL', '4.3.0.3', current_date, '4.3 M0 HF3 DDL', 'DDL')
;
commit;
