%macro configureForAPI(apiver);
  %global TRAN_ID TAG AUTH_AMT AUTH_DEC POST_AMT POST_PURCH_DATE;
  %global FalsePosRate DetectRate ReviewRate CARDNUMBER;
  %if &APIVER=2 %then %do;
    %let TRAN_ID=SMH_TRAN_ID;
    %let TAG=RQO_TAG;
    %let AUTH_AMT=RCA_AMT;
    %let AUTH_DEC=RCA_AUTH_SYS_DEC;
    %let POST_AMT=RCP_AMT;
    %let POST_PURCH_DATE=RCP_PURCHASE_DATE;
    %let FalsePosRate=AFPR;
    %let DetectRate=ADR;
    %let ReviewRate=ARR;
    %let CARDNUMBER=RQO_CARD_NUM;
  %end;
  %else %if &APIVER=3 %then %do;
    %let TRAN_ID=SMH_TRAN_ID;
    %let TAG=RQO_TAG;
    %let AUTH_AMT=RCA_MOD_AMT;
    %let AUTH_DEC=RCA_AUTH_SYS_DEC;
    %let POST_AMT=RCP_MOD_AMT;
    %let POST_PURCH_DATE=RCP_PURCHASE_DATE;
    %let FalsePosRate=CFPR;
    %let DetectRate=CDR;
    %let ReviewRate=LCR;
    %let CARDNUMBER=RQO_CARD_NUM;
  %end;
  %else %if &APIVER=4 %then %do;
    %let TRAN_ID=SMH_ACTIVITY_TYPE;
    %let TAG=AFD_FRD_TAG;
    %let AUTH_AMT=TCA_MOD_AMT;
    %let AUTH_DEC=TCA_AUTH_SYS_DEC;
    %let POST_AMT=TCP_MOD_AMT;
    %let POST_PURCH_DATE=TCP_PURCHASE_DATE;
    %let FalsePosRate=CFPR;
    %let DetectRate=CDR;
    %let ReviewRate=LCR;
    %let CARDNUMBER=HQO_CARD_NUM;
  %end;
  %else %do;
    %put APIVERSION &APIVERSION is not valid;
    endsas;
  %end;
%mend configureForAPI;
