%macro varlist_from_file(keepfile=, varlist=);
    
data _varlist_from_file_tmp_dataset_ / view = _varlist_from_file_tmp_dataset_;
    length %include "&keepfile"; 8;
run;

%global &varlist;
proc sql noprint;
    select name
        into :&varlist
        separated by " "
        from dictionary.columns
        where libname='WORK' and lowcase(memname)='_varlist_from_file_tmp_dataset_';
quit;

%mend;      
